%global goipath github.com/go-bufio/bufio
Version:        1.0.0

%gometa

%global v1_goipath     gopkg.in/v1/bufio
%global v1_goipath_sec gopkg.in/bufio.v1

%global v1_goipath_name %gorpmname %{v1_goipath}
%global v1_goipath_sec_name %gorpmname %{v1_goipath_sec}

Name:           %{goname}-v1
Release:        1%{?dist}
Summary:        Package bufio implements buffered I/O
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.


%build
true


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v1_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v1_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v1_goipath} prefix.

%package -n %{v1_goipath_sec_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v1_goipath_sec_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v1_goipath_sec} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{v1_goipath} -o v1-devel.file-list
%goinstall -i %{v1_goipath_sec} -o v1-sec-devel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v1_goipath_name}-devel -f v1-devel.file-list
%license LICENSE
%doc README.md

%files -n %{v1_goipath_sec_name}-devel -f v1-sec-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Fri Mar 22 2019 Mark Goodwin <mgoodwin@redhat.com> - 1.0.0-1
- First package for Fedora
